Subject: Re: bug#79308: 30.2; Maximum buffer size exceeded when running package-list-packages

From: Enrico Rivarola <[email-masked]>
Date: Wed, 27 Aug 2025 16:07:41 +0200

Il 27/08/25 14:33, Eli Zaretskii ha scritto:
>> Date: Wed, 27 Aug 2025 10:01:39 +0200
>> Cc: [email-masked]
>> From: Enrico Rivarola <[email-masked]>
>>
>> Thanks for response,
>> I tried recompiling Emacs, but I still have the problem.
>> Maybe the problem is related to something on my system, but I don't know.
>> For now, I've solved it by setting 'custom-file' to a 'real' file (e.g "my-custom.el" in
>> 'user-emacs-directory').
>> I found two messages that refer to the same problem on 'help-gnu-emacs' archive for the Emacs 30
>> series:
>> * "Maximum buffer size exceeded when running package-list-packages"
>>     https://lists.gnu.org/archive/html/help-gnu-emacs/2025-03/msg00343.html
>> * "Maximum buffer size message on Emacs 30.1"
>>     https://lists.gnu.org/archive/html/help-gnu-emacs/2025-03/msg00187.html
> 
> Any reason why you use null-device for this purpose?  If you don't
> want to save your customizations between sessions, simply don't select
> the "Save for future sessions" action.

I made this choice a long time ago. If I remember correctly, it was mainly because I keep my 
Emacs configuration in a git repo and to prevent certain updates or changes from modifying the 
init.el file, and to make sure that any customization was made in my configuration files (some 
configuration files are shared between 'normal' Emacs and 'Doom Emacs').
This specific configuration has remained the same because it's never given me any problem until 
I update to version 30.2, hence the notification to the mailing list.
However, as I said, I updated my configuration to have a dedicated 'custom' file (manageable 
separately), and this is fine for me too.